> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scorer Health Scores

> Return all persisted health scores for a scorer against a dataset, ordered by version ASC.

scores[0] is the baseline (first recorded), scores[-1] is the latest.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/scorers/{scorer_id}/health-scores
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/{scorer_id}/health-scores:
    get:
      tags:
        - data
        - prompts
        - rows
      summary: Get Scorer Health Scores
      description: >-
        Return all persisted health scores for a scorer against a dataset,
        ordered by version ASC.


        scores[0] is the baseline (first recorded), scores[-1] is the latest.
      operationId: get_scorer_health_scores_v2_scorers__scorer_id__health_scores_get
      parameters:
        - name: scorer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Scorer Id
        - name: dataset_id
          in: query
          required: true
          schema:
            type: string
            format: uuid4
            title: Dataset Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScorerHealthScoresResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ScorerHealthScoresResponse:
      properties:
        scores:
          items:
            $ref: '#/components/schemas/ScorerVersionHealthScoreEntry'
          type: array
          title: Scores
      type: object
      required:
        - scores
      title: ScorerHealthScoresResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ScorerVersionHealthScoreEntry:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        scorer_version_id:
          type: string
          format: uuid4
          title: Scorer Version Id
        scorer_version_number:
          type: integer
          title: Scorer Version Number
        dataset_id:
          type: string
          format: uuid4
          title: Dataset Id
        health_score_type:
          type: string
          title: Health Score Type
        score:
          type: number
          title: Score
        secondary:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: number
                  - type: 'null'
              type: object
            - type: 'null'
          title: Secondary
        computed_at:
          type: string
          format: date-time
          title: Computed At
      type: object
      required:
        - id
        - scorer_version_id
        - scorer_version_number
        - dataset_id
        - health_score_type
        - score
        - secondary
        - computed_at
      title: ScorerVersionHealthScoreEntry
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````